## org.eclipse.wst.common.environment.uri
Class URIException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.wst.common.environment.uri.URIException

All Implemented Interfaces:
  java.io.Serializable

    public class URIException

extends java.lang.Exception

This is the base class for most exceptions thrown by IURI classes. Every URIException carries a IURI and a Status, each of which may be null. The getMessage() method as inherited from Exception will return the message from the URIExceptin's Status object, if any.

Since:
  1.0
See Also:
  Serialized Form

Constructor Summary
`URIException(org.eclipse.core.runtime.IStatus status)` Creates a new URIException with the given Status.
`URIException(org.eclipse.core.runtime.IStatus status, IURI uri)` Creates a new URIException for the given Status and IURI, each of which may be null.

Method Summary
`org.eclipse.core.runtime.IStatus` `getStatus()`
`IURI` `getURI()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URIException

    public URIException(org.eclipse.core.runtime.IStatus status)

  Creates a new URIException with the given Status. The status may be null.

  Parameters:
    `status` - the staus for this exception.

### URIException

    public URIException(org.eclipse.core.runtime.IStatus status,
                        IURI uri)

  Creates a new URIException for the given Status and IURI, each of which may be null.

  Parameters:
    `status` - the status for this exception.
    `uri` - the uri that caused this exception.

Method Detail

### getStatus

    public org.eclipse.core.runtime.IStatus getStatus()

  Returns:
    returns the Status object inside this exception.

### getURI

    public IURI getURI()

  Returns:
    returns the IURI inside this exception.